
Infrastructure - Task #3307

Story # 3306 (Closed): Nagios configuration corrections

Fix mk_hazelcast plugin

2012-10-07 19:04 - Dave Vieglais

Status: Closed Start date: 2012-10-07

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Support Operations Estimated time: 0.00 hour

Target version: 2013.35-Block.5.1   

Milestone: None Story Points:  

Product Version:    

Description

The check_mk_agent plugin "mk_hazelcast" is not environment aware, causing it to fail or return incorrect results.

The plugin is located in /usr/lib/check_mk_agent/plugins

#!/bin/sh

PATH=${PATH}:/sbin:/usr/lib/nagios/plugins

export PATH

host=hostname -f

hosts='UCSB UNM ORC'

ports='5701 5702 5703'

echo "<<>>"

for port in ${ports}; do

for host in ${hosts}; do

result="check_tcp -H cn-${host}-1.dataone.org -p ${port}"

if [ "X${result}" = "XConnection refused" ]; then

result="TCP CRIT - ${result}"

fi

echo "${host}/${port} : ${result}"

done

done

History

#1 - 2012-10-07 19:19 - Dave Vieglais

This script is better, but need to add support for -2, -3, ... in the hsotname

#!/bin/sh

PATH=${PATH}:/sbin:/usr/lib/nagios/plugins

export PATH

thishost=hostname -f

hosts='UCSB UNM ORC'

ports='5701 5702 5703'

echo "<<>>"

for port in ${ports}; do

for host in ${hosts}; do

testhost=$(echo $thishost | sed s/-[a-z]*-1/-${host}-1/)

result="check_tcp -H ${testhost} -p ${port}"

if [ "X${result}" = "XConnection refused" ]; then

result="TCP CRIT - ${result}"

fi

echo "${host}/${port} : ${result}"
done

done

#2 - 2012-10-07 19:42 - Dave Vieglais

- Status changed from New to In Progress

And this version will work with different numbered hosts:

#!/bin/sh

PATH=${PATH}:/sbin:/usr/lib/nagios/plugins

export PATH

thishost=hostname -f

hosts='UCSB UNM ORC'

ports='5701 5702 5703'

echo "<<>>"

for port in ${ports}; do

for host in ${hosts}; do

testhost=$(echo $thishost | sed s/-[a-z]*-([0-9])/-${host}-\1/)

result="check_tcp -H ${testhost} -p ${port}"

if [ "X${result}" = "XConnection refused" ]; then

result="TCP CRIT - ${result}"

fi

echo "${host}/${port} : ${result}"

done

done

#3 - 2012-10-11 18:50 - Dave Vieglais

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0

Change committed to trunk with rev:10355

Modified the sed command a bit:

testhost=$(echo $thishost | sed s/-[a-z]*-1/-${host}-1/)

will look into further generalization under #3333
#4 - 2012-10-24 18:20 - Dave Vieglais

- Status changed from Closed to Testing

- Estimated time set to 0.00

#5 - 2012-12-12 16:53 - Chris Jones

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.50-Block.6.4

#6 - 2012-12-12 18:53 - Dave Vieglais

- Status changed from Testing to In Review

#7 - 2013-03-01 18:32 - Chris Jones

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.10-Block.2.1

#8 - 2013-08-02 11:53 - Dave Vieglais

- Target version changed from 2013.10-Block.2.1 to 2013.35-Block.5.1

#9 - 2014-01-06 18:09 - Dave Vieglais

- Status changed from In Review to Closed
